diff --git a/js/app/Modules/Spec/DbsTracy/FilesGrid.js b/js/app/Modules/Spec/DbsTracy/FilesGrid.js
index c6569a0b..774cdcb7 100644
--- a/js/app/Modules/Spec/DbsTracy/FilesGrid.js
+++ b/js/app/Modules/Spec/DbsTracy/FilesGrid.js
@@ -253,6 +253,12 @@ Ext.define('Optima5.Modules.Spec.DbsTracy.FilesGrid',{
 				return false ;
 			}
 		},this) ;
+		this.on('afterrender',function(pnl) {
+			pnl.getEl().on( 'click', function(e,t) {
+				console.log('FilesGrid is clicked');
+				this.hideAnyFloating();
+			},this) ;
+		});
 		
 		this.onViewSet(this.defaultViewMode) ;
 	},
@@ -1611,7 +1617,7 @@ Ext.define('Optima5.Modules.Spec.DbsTracy.FilesGrid',{
 				'<div style="display: inline-grid ; padding:8px 24px">',
 				'<b>DN/Orders</b>',
 				'<div style="padding:8px ; width:96px ; height: 64px">',
-					'<div style="border-radius: 10%; background: {count_color}; height:100% ; width:100% ; display:table">',
+					'<div class="op5-spec-dbstracy-banner-click" data-click="counter" style="border-radius: 10%; background: {count_color}; height:100% ; width:100% ; display:table">',
 						'<div style="display:table-cell ; vertical-align: middle; text-align:center">',
 							'<div style="color:white ; font-size:32px ; line-height:38px">{count_int}</div>',
 						'</div>',
@@ -1694,6 +1700,9 @@ Ext.define('Optima5.Modules.Spec.DbsTracy.FilesGrid',{
 						if( hEl = e.getTarget('.op5-spec-dbstracy-banner-click') ) {
 							if( hEl.dataset && hEl.dataset.click ) {
 								switch( hEl.dataset.click ) {
+									case 'counter' :
+										this.handleDevDataview();
+										break ;
 									case 'incident_highlight' :
 										this.handleOpenTickets(true);
 										break ;
@@ -1702,6 +1711,7 @@ Ext.define('Optima5.Modules.Spec.DbsTracy.FilesGrid',{
 										break ;
 								}
 							}
+							e.stopEvent();
 						}
 						//console.dir(arguments);
 					},this) ;
@@ -2495,5 +2505,68 @@ Ext.define('Optima5.Modules.Spec.DbsTracy.FilesGrid',{
 		if( this.tmpModelName ) {
 			Ext.ux.dams.ModelManager.unregister( this.tmpModelName ) ;
 		}
+	},
+	
+	handleDevDataview: function() {
+		console.dir('handleDevDataview');
+		
+		var emptyPanel = Ext.create('Ext.panel.Panel',{
+			optimaModule: this.optimaModule,
+			
+			layout: 'fit',
+			items: [{
+				xtype: 'component',
+				style: 'background-color:#111111',
+				html: '&nbsp;',
+			}],
+			
+			// _ticketFilerecordId: ticketFilerecordId,
+			// _ticketRecord: ticketRecord,
+			// _presetAction: presetAction,
+			
+			frame: false,
+			border: false,
+			
+			width:200,
+			height:600,
+			floating: true,
+			draggable: false,
+			resizable: false,
+			renderTo: this.getEl(),
+			tools: [{
+				type: 'close',
+				handler: function(e, t, p) {
+					p.ownerCt.destroy() ;
+				},
+				scope: this
+			}],
+			_parentCmp: this,
+		});
+		
+		emptyPanel.on('destroy',function(p) {
+			this.floatingPanel = null ;
+			this.getEl().unmask() ;
+		},this,{single:true}) ;
+		
+		emptyPanel.show();
+		//emptyPanel.doResize() ;
+		this.floatingPanel = emptyPanel ;
+		this.floatingPanel.mon(this,'resize', function(p){
+			//p.floatingPanel.doResize() ;
+			console.log('resizing........');
+		},this);
+		this.getEl().mask() ;
+		
+		//notificationsPanel.getStore().loadData(notificationsData) ;
+		return emptyPanel ;
+		
+	},
+	onClickSomewhere: function() {
+		console.dir('panel clicked');
+	},
+	hideAnyFloating: function() {
+		if( this.floatingPanel ) {
+			this.floatingPanel.destroy() ;
+		}
 	}
 });
diff --git a/js/app/Modules/Spec/DbsTracy/GunMenu.js b/js/app/Modules/Spec/DbsTracy/GunMenu.js
index a3ea80e1..07d00257 100644
--- a/js/app/Modules/Spec/DbsTracy/GunMenu.js
+++ b/js/app/Modules/Spec/DbsTracy/GunMenu.js
@@ -86,6 +86,14 @@ Ext.define('Optima5.Modules.Spec.DbsTracy.GunMenu',{
 			action_caption: 'Example',
 			action_sendEvent:'gun_picking',
 			action_iconCls:'op5-spec-dbstracy-mmenu-files'
+		},{
+			type_separator:true,
+			separator_label: 'Tools Webapps'
+		},{
+			type_action:true,
+			action_caption: 'Easa Vs BL',
+			action_sendEvent:'webapp_easaVsBl',
+			action_iconCls:'op5-spec-dbstracy-mmenu-files'
 		}] ;
 		
 		var itemsData = [] ;
diff --git a/js/app/Modules/Spec/DbsTracy/GunPanel.js b/js/app/Modules/Spec/DbsTracy/GunPanel.js
index 4ffa6dfc..143cba79 100644
--- a/js/app/Modules/Spec/DbsTracy/GunPanel.js
+++ b/js/app/Modules/Spec/DbsTracy/GunPanel.js
@@ -99,6 +99,7 @@ Ext.define('Optima5.Modules.Spec.DbsTracy.GunPanel',{
 			scrollable: 'vertical',
 			listeners: {
 				actionclick: function( view, actionCode ) {
+					console.log('ACTION CLICK !!! '+actionCode);
 					me.onActionClick(actionCode) ;
 				},
 				scope: me
@@ -122,6 +123,10 @@ Ext.define('Optima5.Modules.Spec.DbsTracy.GunPanel',{
 			case 'gun_tracy70aog' :
 				return me.switchToAppPanel('Optima5.Modules.Spec.DbsTracy.GunTracy70',{_mode_AOG: true}) ;
 				
+			case 'webapp_easaVsBl' :
+				this.optimaModule.postCrmEvent('open_new_window',{url:"https://www.google.com"});
+				break ;
+				
 			default :
 				return ;
 		}
